\ ****************************
CR .( ftrac-utf8es )
\ ****************************

\ Copyright (C) 2005 Marcos Cruz (programandala.net)
\ License: http://programandala.net/license

\ Translation table for ftra:
\ Translation from the Windows character set (windows-1252;  Unofficial synonyms include cp-1252 and WinLatin1.) into numeric HTML Unicode.
\ Sorted to translate Spanish texts more quickly.

\ Special translations provided by Jukka "Yucca" Korpela in his web page.

[undefined] ftrac [IF]
	include ftrac.f
[THEN]

trac-array: trac-utf8es 

\ The most used, Spanish chars

CHAR  S" &#225;" trac!
CHAR  S" &#233;" trac!
CHAR  S" &#237;" trac!
CHAR  S" &#243;" trac!
CHAR  S" &#250;" trac!
CHAR  S" &#241;" trac!
CHAR  S" &#193;" trac!
CHAR  S" &#201;" trac!
CHAR  S" &#205;" trac!
CHAR  S" &#211;" trac!
CHAR  S" &#218;" trac!
CHAR  S" &#209;" trac!
CHAR  S" &#191;" trac!
CHAR  S" &#161;" trac!
CHAR  S" &#252;" trac!
CHAR  S" &#220;" trac!

\ Some tipographical chars

CHAR  S" &#171;" trac!
CHAR  S" &#183;" trac!
CHAR  S" &#170;" trac!
CHAR  S" &#186;" trac!
CHAR  S" &#187;" trac!

\ Chars from other languages

CHAR  S" &#224;" trac!
CHAR  S" &#228;" trac!
CHAR  S" &#231;" trac!
CHAR  S" &#192;" trac!
CHAR  S" &#199;" trac!
CHAR  S" &#200;" trac!
CHAR  S" &#232;" trac! 
CHAR  S" &#244;" trac!
CHAR  S" &#242;" trac!
CHAR  S" &#210;" trac!

\ Special chars

160 S" &nbsp;" trac!  \ 160

\ Problem chars (128-159)

false [IF]

\ Original translations for chars 128-159

CHAR  S" &#8218;" trac!  \ Jukka
CHAR  S" &#402;" trac!  \ Jukka
CHAR  S" &#8222;" trac!  \ Jukka
CHAR  S" &#8230;" trac!  \ Jukka
CHAR  S" &#8224;" trac!  \ Jukka
CHAR  S" &#8225;" trac!  \ Jukka
CHAR  S" &#710;" trac!  \ Jukka
CHAR  S" &#8240;" trac!  \ Jukka
CHAR  S" &#352;" trac!  \ Jukka
CHAR  S" &#8249;" trac!  \ Jukka
CHAR  S" &#338;" trac!  \ Jukka
CHAR  S" &#8216;" trac!  \ Jukka
CHAR  S" &#2019;" trac!  \ Jukka
CHAR  S" &#8220;" trac!  \ Jukka
CHAR  S" &#8221;" trac!  \ Jukka
CHAR  S" &#2022;" trac!  \ Jukka
CHAR  S" &#8211;" trac!  \ Jukka
CHAR  S" &#8212;" trac!  \ Jukka
CHAR  S" &#732;" trac!  \ Jukka
CHAR  S" &#8482;" trac!  \ Jukka
CHAR  S" &#353;" trac!  \ Jukka
CHAR  S" &#8250;" trac!  \ Jukka
CHAR  S" &#339;" trac!  \ Jukka
CHAR  S" &#376;" trac!  \ Jukka

[ELSE]

\ 2006 04 03

\ Actual secure translations for chars 128-159

CHAR  S" EUR" trac!  \ 128
CHAR  S" &#39;" trac!  \ 130
CHAR  S" &#34;" trac!  \ 132
CHAR  S" &#60;" trac!  \ 139
CHAR  S" OE" trac!  \ 140
CHAR  S" &#39;" trac!  \ 145
CHAR  S" &#39;" trac!  \ 146
CHAR  S" &#34;" trac!  \ 147
CHAR  S" &#34;" trac!  \ 148
CHAR  S" &#183;" trac!  \ 149
CHAR  S" -" trac!  \ 150
CHAR  S"  - " trac!  \ 151
CHAR  S" &#126;" trac!  \ 152
CHAR  S" (TM)" trac!  \ 153
CHAR  S" &#62;" trac!  \ 155
CHAR  S" oe" trac!  \ 156

[THEN]

.(  ftrac-utf8es ok!)
